# Reports

The Report Service API provides `PAYMENT_OPS`, `RECON`, and `FAILURE_CONVERSION_SSA` reports in either CSV or JSON format.

 - [GET /v1/reports](https://docs.ripple.com/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreports.md): Returns an array of reports available for download. Each array element represents an available report, and contains the `reportId`, `reportType`, and `reportFormat` fields associated with that report.
 - [POST /v1/reports](https://docs.ripple.com/products/payments-odl/api-docs/report_service/reference/openapi/reports/postreport.md): Request the generation of a custom report based on the specified parameters. **Report duration** Reports can contain up to 90 days of transactions from the previous 9 months. * Minimum report duration
 - [GET /v1/reports/{report-id}](https://docs.ripple.com/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreport.md): Here, you apply the `report-id` from the [List reports](/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreports) operation as the path parameter to get a `downloadlink` con
 - [DELETE /v1/reports/{report-id}](https://docs.ripple.com/products/payments-odl/api-docs/report_service/reference/openapi/reports/deletereport.md): Delete a specific report with the `report-id` path parameter.
 - [GET /v1/reports/download/{report-id}](https://docs.ripple.com/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreportdownload.md): Download a transaction report. Download the report by applying the `report-id` from the [List reports](/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreports) operation as
